<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Joueur</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Joueur";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Joueur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Interactif.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Modificateur.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Joueur.html" target="_top">Frames</a></li>
<li><a href="Joueur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Joueur" class="title">Class Joueur</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>back.Joueur</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Joueur</span>
extends java.lang.Object</pre>
<div class="block">Cette classe Joueur permet de créer des joueurs.
 Un joueur se caractérise par son pseudo, son pion, sa position, ses statistiques, son argents, ses listes de matières et de cartes chances et son modificateur.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Joueur.html#Joueur-java.lang.String-java.lang.String-int-boolean-">Joueur</a></span>(java.lang.String&nbsp;pseudo,
      java.lang.String&nbsp;couleur,
      int&nbsp;argent,
      boolean&nbsp;bot)</code>
<div class="block">Le constructeur de la classe Joueur permet de créer un nouveau joueur.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#afficher_info--">afficher_info</a></span>()</code>
<div class="block">La méthode afficher_info() permet d'afficher les informations de la classe</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#ajouterUneCarteChance-back.CarteChance-">ajouterUneCarteChance</a></span>(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaires pour lancer la  méthode ajouterCarteChance.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#ajouterUneMatiere-back.Propriete-">ajouterUneMatiere</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</code>
<div class="block">Méthode ajouterUneMatiere permet d'effectuer les tests afin de lancer la méthode ajouterMatière.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#existeChance-back.CarteChance-">existeChance</a></span>(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode existeChance permet de tester si une carte chance est présente dans l'ArrayList chnaces</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#existeMatiere-back.Propriete-">existeMatiere</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</code>
<div class="block">Méthode existeMatiere permet de tester si une propriété est présente dans l'ArrayList matieres</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#gagnerArgent-int-int-">gagnerArgent</a></span>(int&nbsp;somme,
            int&nbsp;qui)</code>
<div class="block">Méthode gagnerArgent permet d'ajouter l'argent gagner en augmentant argent et capital et les variable gagne et GagneLocation ou GagneChance de la class Statistiques</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>javafx.beans.property.IntegerProperty</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getArgent--">getArgent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getArgentBis--">getArgentBis</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>javafx.beans.property.IntegerProperty</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getCapital--">getCapital</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>javafx.collections.ObservableList&lt;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getChances--">getChances</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../view/JoueurClassementView.html" title="class in view">JoueurClassementView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getClassement--">getClassement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getDe1--">getDe1</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getDe2--">getDe2</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../view/FicheJoueur.html" title="class in view">FicheJoueur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getFiche--">getFiche</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../view/FicheJoueur.html" title="class in view">FicheJoueur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getFicheDetailJoueur--">getFicheDetailJoueur</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>javafx.collections.transformation.SortedList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getMatieres--">getMatieres</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getMin--">getMin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../back/Modificateur.html" title="class in back">Modificateur</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getModificateur--">getModificateur</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getNbMaterielTotal--">getNbMaterielTotal</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>javafx.beans.property.IntegerProperty</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getNbProprietes--">getNbProprietes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../view/Pion.html" title="class in view">Pion</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getPion--">getPion</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getPseudo--">getPseudo</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../view/ResumeJoueurView.html" title="class in view">ResumeJoueurView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getResume--">getResume</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../view/ResumeJoueurView.html" title="class in view">ResumeJoueurView</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getResumeJoueurView--">getResumeJoueurView</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../back/Statistiques.html" title="class in back">Statistiques</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#getStats--">getStats</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#isBot--">isBot</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#lancerDe--">lancerDe</a></span>()</code>
<div class="block">Méthode lancerDe permet de mettre dans les variable de1 et de2 deux chiffres au hasard entre 0 et 4 et entre 1 et 4</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#perdreArgent-int-int-">perdreArgent</a></span>(int&nbsp;somme,
            int&nbsp;qui)</code>
<div class="block">Méthode gagnerArgent permet d'ajouter l'argent gagner en diminuant argent et capital et en augmentant les variables perdu et PerduLocation ou PerduChance de la class Statistiques</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#piocherCarteChance--">piocherCarteChance</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#quitterPartie--">quitterPartie</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setArgent-int-">setArgent</a></span>(int&nbsp;argent)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setArgent-javafx.beans.property.IntegerProperty-">setArgent</a></span>(javafx.beans.property.IntegerProperty&nbsp;argent)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setBot-boolean-">setBot</a></span>(boolean&nbsp;bot)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setCapital-int-">setCapital</a></span>(int&nbsp;capital)</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setDe1-int-">setDe1</a></span>(int&nbsp;de1)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setDe2-int-">setDe2</a></span>(int&nbsp;de2)</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setFiche-view.FicheJoueur-">setFiche</a></span>(<a href="../view/FicheJoueur.html" title="class in view">FicheJoueur</a>&nbsp;fiche)</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setModificateur-back.Modificateur-">setModificateur</a></span>(<a href="../back/Modificateur.html" title="class in back">Modificateur</a>&nbsp;modificateur)</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setNbMaterielTotal-int-">setNbMaterielTotal</a></span>(int&nbsp;nbMaterielTotal)</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setNbProprietes-javafx.beans.property.IntegerProperty-">setNbProprietes</a></span>(javafx.beans.property.IntegerProperty&nbsp;nbProprietes)</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setPion-view.Pion-">setPion</a></span>(<a href="../view/Pion.html" title="class in view">Pion</a>&nbsp;pion)</code>&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setPseudo-java.lang.String-">setPseudo</a></span>(java.lang.String&nbsp;pseudo)</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setResume-view.ResumeJoueurView-">setResume</a></span>(<a href="../view/ResumeJoueurView.html" title="class in view">ResumeJoueurView</a>&nbsp;resume)</code>&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#setStats-back.Statistiques-">setStats</a></span>(<a href="../back/Statistiques.html" title="class in back">Statistiques</a>&nbsp;stats)</code>&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#supprimerCarteChance-back.CarteChance-">supprimerCarteChance</a></span>(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</code>
<div class="block">Méthode supprimerCarteChance permet de supprimer une carte chance c de l'ArrayList de CarteChance.</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Joueur.html#supprimerMatiere-back.Propriete-">supprimerMatiere</a></span>(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</code>
<div class="block">Méthode supprimerMatiere permet de supprimer une Matiere m de l'ArrayList de Matiere et dans les ArrayList SalleVendue et SalleAchete de la classe Statistiques.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Joueur-java.lang.String-java.lang.String-int-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Joueur</h4>
<pre>public&nbsp;Joueur(java.lang.String&nbsp;pseudo,
              java.lang.String&nbsp;couleur,
              int&nbsp;argent,
              boolean&nbsp;bot)</pre>
<div class="block">Le constructeur de la classe Joueur permet de créer un nouveau joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pseudo</code> - Pseudo du joueur</dd>
<dd><code>argent</code> - Argents du joueur</dd>
<dd><code>couleur</code> - Couleur du pion</dd>
<dd><code>bot</code> - Boolean permettant de savoir si le joueur est un bot ou non</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDe1--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDe1</h4>
<pre>public&nbsp;int&nbsp;getDe1()</pre>
</li>
</ul>
<a name="setDe1-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDe1</h4>
<pre>public&nbsp;void&nbsp;setDe1(int&nbsp;de1)</pre>
</li>
</ul>
<a name="getDe2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDe2</h4>
<pre>public&nbsp;int&nbsp;getDe2()</pre>
</li>
</ul>
<a name="setDe2-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDe2</h4>
<pre>public&nbsp;void&nbsp;setDe2(int&nbsp;de2)</pre>
</li>
</ul>
<a name="getPseudo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPseudo</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPseudo()</pre>
</li>
</ul>
<a name="setPseudo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPseudo</h4>
<pre>public&nbsp;void&nbsp;setPseudo(java.lang.String&nbsp;pseudo)</pre>
</li>
</ul>
<a name="getPion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPion</h4>
<pre>public&nbsp;<a href="../view/Pion.html" title="class in view">Pion</a>&nbsp;getPion()</pre>
</li>
</ul>
<a name="setPion-view.Pion-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPion</h4>
<pre>public&nbsp;void&nbsp;setPion(<a href="../view/Pion.html" title="class in view">Pion</a>&nbsp;pion)</pre>
</li>
</ul>
<a name="getStats--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStats</h4>
<pre>public&nbsp;<a href="../back/Statistiques.html" title="class in back">Statistiques</a>&nbsp;getStats()</pre>
</li>
</ul>
<a name="setStats-back.Statistiques-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStats</h4>
<pre>public&nbsp;void&nbsp;setStats(<a href="../back/Statistiques.html" title="class in back">Statistiques</a>&nbsp;stats)</pre>
</li>
</ul>
<a name="getArgent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgent</h4>
<pre>public&nbsp;javafx.beans.property.IntegerProperty&nbsp;getArgent()</pre>
</li>
</ul>
<a name="getArgentBis--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentBis</h4>
<pre>public&nbsp;int&nbsp;getArgentBis()</pre>
</li>
</ul>
<a name="setArgent-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgent</h4>
<pre>public&nbsp;void&nbsp;setArgent(int&nbsp;argent)</pre>
</li>
</ul>
<a name="getMatieres--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMatieres</h4>
<pre>public&nbsp;javafx.collections.transformation.SortedList&lt;<a href="../back/Propriete.html" title="class in back">Propriete</a>&gt;&nbsp;getMatieres()</pre>
</li>
</ul>
<a name="getChances--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChances</h4>
<pre>public&nbsp;javafx.collections.ObservableList&lt;<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&gt;&nbsp;getChances()</pre>
</li>
</ul>
<a name="getModificateur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getModificateur</h4>
<pre>public&nbsp;<a href="../back/Modificateur.html" title="class in back">Modificateur</a>&nbsp;getModificateur()</pre>
</li>
</ul>
<a name="setModificateur-back.Modificateur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setModificateur</h4>
<pre>public&nbsp;void&nbsp;setModificateur(<a href="../back/Modificateur.html" title="class in back">Modificateur</a>&nbsp;modificateur)</pre>
</li>
</ul>
<a name="getFicheDetailJoueur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFicheDetailJoueur</h4>
<pre>public&nbsp;<a href="../view/FicheJoueur.html" title="class in view">FicheJoueur</a>&nbsp;getFicheDetailJoueur()</pre>
</li>
</ul>
<a name="getResumeJoueurView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResumeJoueurView</h4>
<pre>public&nbsp;<a href="../view/ResumeJoueurView.html" title="class in view">ResumeJoueurView</a>&nbsp;getResumeJoueurView()</pre>
</li>
</ul>
<a name="getNbProprietes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbProprietes</h4>
<pre>public&nbsp;javafx.beans.property.IntegerProperty&nbsp;getNbProprietes()</pre>
</li>
</ul>
<a name="getCapital--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCapital</h4>
<pre>public&nbsp;javafx.beans.property.IntegerProperty&nbsp;getCapital()</pre>
</li>
</ul>
<a name="getFiche--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFiche</h4>
<pre>public&nbsp;<a href="../view/FicheJoueur.html" title="class in view">FicheJoueur</a>&nbsp;getFiche()</pre>
</li>
</ul>
<a name="getClassement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassement</h4>
<pre>public&nbsp;<a href="../view/JoueurClassementView.html" title="class in view">JoueurClassementView</a>&nbsp;getClassement()</pre>
</li>
</ul>
<a name="setFiche-view.FicheJoueur-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFiche</h4>
<pre>public&nbsp;void&nbsp;setFiche(<a href="../view/FicheJoueur.html" title="class in view">FicheJoueur</a>&nbsp;fiche)</pre>
</li>
</ul>
<a name="getResume--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getResume</h4>
<pre>public&nbsp;<a href="../view/ResumeJoueurView.html" title="class in view">ResumeJoueurView</a>&nbsp;getResume()</pre>
</li>
</ul>
<a name="setResume-view.ResumeJoueurView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setResume</h4>
<pre>public&nbsp;void&nbsp;setResume(<a href="../view/ResumeJoueurView.html" title="class in view">ResumeJoueurView</a>&nbsp;resume)</pre>
</li>
</ul>
<a name="getNbMaterielTotal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbMaterielTotal</h4>
<pre>public&nbsp;int&nbsp;getNbMaterielTotal()</pre>
</li>
</ul>
<a name="setNbMaterielTotal-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbMaterielTotal</h4>
<pre>public&nbsp;void&nbsp;setNbMaterielTotal(int&nbsp;nbMaterielTotal)</pre>
</li>
</ul>
<a name="setArgent-javafx.beans.property.IntegerProperty-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgent</h4>
<pre>public&nbsp;void&nbsp;setArgent(javafx.beans.property.IntegerProperty&nbsp;argent)</pre>
</li>
</ul>
<a name="setNbProprietes-javafx.beans.property.IntegerProperty-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbProprietes</h4>
<pre>public&nbsp;void&nbsp;setNbProprietes(javafx.beans.property.IntegerProperty&nbsp;nbProprietes)</pre>
</li>
</ul>
<a name="setCapital-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCapital</h4>
<pre>public&nbsp;void&nbsp;setCapital(int&nbsp;capital)</pre>
</li>
</ul>
<a name="isBot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBot</h4>
<pre>public&nbsp;boolean&nbsp;isBot()</pre>
</li>
</ul>
<a name="setBot-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBot</h4>
<pre>public&nbsp;void&nbsp;setBot(boolean&nbsp;bot)</pre>
</li>
</ul>
<a name="afficher_info--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afficher_info</h4>
<pre>public&nbsp;void&nbsp;afficher_info()</pre>
<div class="block">La méthode afficher_info() permet d'afficher les informations de la classe</div>
</li>
</ul>
<a name="ajouterUneMatiere-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterUneMatiere</h4>
<pre>public&nbsp;void&nbsp;ajouterUneMatiere(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</pre>
<div class="block">Méthode ajouterUneMatiere permet d'effectuer les tests afin de lancer la méthode ajouterMatière.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>m</code> - Propriete à ajouter</dd>
</dl>
</li>
</ul>
<a name="supprimerMatiere-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supprimerMatiere</h4>
<pre>public&nbsp;void&nbsp;supprimerMatiere(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</pre>
<div class="block">Méthode supprimerMatiere permet de supprimer une Matiere m de l'ArrayList de Matiere et dans les ArrayList SalleVendue et SalleAchete de la classe Statistiques.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>m</code> - Propriete à supprimer</dd>
</dl>
</li>
</ul>
<a name="existeMatiere-back.Propriete-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existeMatiere</h4>
<pre>public&nbsp;boolean&nbsp;existeMatiere(<a href="../back/Propriete.html" title="class in back">Propriete</a>&nbsp;m)</pre>
<div class="block">Méthode existeMatiere permet de tester si une propriété est présente dans l'ArrayList matieres</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>m</code> - Propriete</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean , retourne true si la propriété est déjà présentes sinon false</dd>
</dl>
</li>
</ul>
<a name="ajouterUneCarteChance-back.CarteChance-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterUneCarteChance</h4>
<pre>public&nbsp;void&nbsp;ajouterUneCarteChance(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</pre>
<div class="block">Méthode ajouterUneCarteChance permet d'effectuer les tests nécessaires pour lancer la  méthode ajouterCarteChance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - carteChance à ajouter</dd>
</dl>
</li>
</ul>
<a name="supprimerCarteChance-back.CarteChance-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supprimerCarteChance</h4>
<pre>public&nbsp;void&nbsp;supprimerCarteChance(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</pre>
<div class="block">Méthode supprimerCarteChance permet de supprimer une carte chance c de l'ArrayList de CarteChance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - carteChance à supprimer</dd>
</dl>
</li>
</ul>
<a name="existeChance-back.CarteChance-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existeChance</h4>
<pre>public&nbsp;boolean&nbsp;existeChance(<a href="../back/CarteChance.html" title="class in back">CarteChance</a>&nbsp;c)</pre>
<div class="block">Méthode existeChance permet de tester si une carte chance est présente dans l'ArrayList chnaces</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - CarteChance</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean , retourne true si la carte chance est déjà présentes sinon false</dd>
</dl>
</li>
</ul>
<a name="gagnerArgent-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gagnerArgent</h4>
<pre>public&nbsp;void&nbsp;gagnerArgent(int&nbsp;somme,
                         int&nbsp;qui)</pre>
<div class="block">Méthode gagnerArgent permet d'ajouter l'argent gagner en augmentant argent et capital et les variable gagne et GagneLocation ou GagneChance de la class Statistiques</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>somme</code> - int à ajouter</dd>
<dd><code>qui</code> - int savoir si cela viens d'une location ou d'une carte chance.</dd>
</dl>
</li>
</ul>
<a name="perdreArgent-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>perdreArgent</h4>
<pre>public&nbsp;void&nbsp;perdreArgent(int&nbsp;somme,
                         int&nbsp;qui)</pre>
<div class="block">Méthode gagnerArgent permet d'ajouter l'argent gagner en diminuant argent et capital et en augmentant les variables perdu et PerduLocation ou PerduChance de la class Statistiques</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>somme</code> - int à enlever</dd>
<dd><code>qui</code> - int savoir si cela viens d'une location ou d'une carte chance.</dd>
</dl>
</li>
</ul>
<a name="piocherCarteChance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>piocherCarteChance</h4>
<pre>public&nbsp;void&nbsp;piocherCarteChance()</pre>
</li>
</ul>
<a name="lancerDe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lancerDe</h4>
<pre>public&nbsp;void&nbsp;lancerDe()</pre>
<div class="block">Méthode lancerDe permet de mettre dans les variable de1 et de2 deux chiffres au hasard entre 0 et 4 et entre 1 et 4</div>
</li>
</ul>
<a name="getMin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMin</h4>
<pre>public&nbsp;int&nbsp;getMin()</pre>
</li>
</ul>
<a name="quitterPartie--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>quitterPartie</h4>
<pre>public&nbsp;void&nbsp;quitterPartie()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Joueur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Interactif.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Modificateur.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Joueur.html" target="_top">Frames</a></li>
<li><a href="Joueur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
